%{?nodejs_find_provides_and_requires}

%global enable_tests 0
# Tests disabled because gzip size doesn't match expected value

Name:       nodejs-maxmin
Version:    1.1.0
Release:    2%{?dist}
Summary:    Get pretty output of the original, minified gzipped size of a string/buffer
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/sindresorhus/maxmin
Source0:    http://registry.npmjs.org/maxmin/-/maxmin-%{version}.tgz
Source1:    https://raw.githubusercontent.com/sindresorhus/maxmin/140c69cd34e5ce3b44db5f7df5cdd7f621220c87/test.js

# gzip-size cannot be packaged for fedora<21 or rhel<7 due to the dependency
# on js-zlib. To make maxmin available to these older branches, we can remove
# the use of gzip-size. This is not ideal, but better than not having the
# package available at all.
Patch0:     %{name}-1.1.0-Remove-use-of-gzip-size.patch


BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(chalk)
%if 0%{?fedora} >= 21 || 0%{?rhel} >= 7
BuildRequires:  npm(gzip-size)
%endif
BuildRequires:  npm(pretty-bytes)
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .

%if 0%{?fedora} < 21 && 0%{?rhel} < 7
%patch0 -p1
%endif



%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/maxmin
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/maxmin

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%license license
%doc *.md
%{nodejs_sitelib}/maxmin


%changelog
* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-2
- Update to upstream 1.1.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.0-1
- update to upstream release 0.2.0
- disable use of gzip-size on branches where js-zlib cannot be packaged

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
